<?cs # $Id: disks.cs 994 2007-07-27 11:30:26Z age $ ?>

<?cs call:handle_messages() ?>

<?cs if:Data.activeDisksCount >= 1 ?>
	<fieldset>
	<legend>
		<?cs call:show_plugin_icon() ?>
		<?cs var:html_escape(Lang.Plugins.disks.Active) ?>
	</legend>
	<?cs call:show_help(Lang.Plugins.disks.Help.Active) ?>
	<?cs loop: index = #0, subcount(Data.Disks[index])-1, #1 ?>
		<?cs if Data.Disks[index].active == 1 ?>
			<?cs call:show_volume(Data.Disks[index]) ?>
		<?cs /if ?>
	<?cs /loop ?>
	</fieldset>
<?cs /if ?>

<fieldset>
	<legend>
		<?cs call:show_plugin_icon() ?>
		<?cs var:html_escape(Lang.Plugins.disks.Title) ?>
	</legend>
	<?cs call:show_help(Lang.Plugins.disks.Help.Disks) ?>
<?cs if:subcount(Data.Disks) == 0 ?>
	<?cs call:hint("Plugins.disks.NoDisksAvailable") ?>
<?cs else ?>
	<?cs # we use "loop" instead of "each" to keep the order of the disks ?>
	<?cs loop: index = #0, subcount(Data.Disks)-1, #1 ?>
		<?cs if Data.Disks[index].active == 0 ?>
			<?cs call:show_volume(Data.Disks[index]) ?>
		<?cs /if ?>
	<?cs /loop ?>
<?cs /if ?>
</fieldset>

<!-- display this symbol legend if help is enabled -->
<?cs if:Settings.Help ?>
	<fieldset>
		<legend>
			<?cs call:show_plugin_icon() ?>
			<?cs var:html_escape(Lang.Plugins.disks.Legend) ?>
		</legend>
		<?cs call:show_help(Lang.Plugins.disks.Help.Legend) ?>
		<!-- this legend is hard coded - FIXME: why should it be hard coded? [l] -->
		<br />
		<p class="legend">
		<b>unencrypted</b> volumes:<br />
		<img src="cryptobox-misc/volume_passive_plain.gif" alt="disk_symbol" /> - deactivated
		<img src="cryptobox-misc/volume_active_plain.gif" alt="disk_symbol" /> - activated
		</p>
		<p class="legend">
		<b>encrypted</b> volumes:<br />
		<img src="cryptobox-misc/volume_passive_crypto.gif" alt="disk_symbol" /> - deactivated
		<img src="cryptobox-misc/volume_active_crypto.gif" alt="disk_symbol" /> - activated
		</p>

	</fieldset>
<?cs /if ?>
